Page MenuHomePhabricator

[gdb-remote] process properly effective uid
ClosedPublic

Authored by wallace on Oct 1 2019, 6:42 PM.

Details

Summary

Someone wrote SetEffectiveSetEffectiveGroupID instead of SetEffectiveUserID.

After this fix, the android process list can show user names, e.g.

PID    PARENT USER       GROUP      EFF USER   EFF GROUP  TRIPLE                               ARGUMENTS
====== ====== ========== ========== ========== ========== ============================== ============================
529    1      root       0          root       0                                         /sbin/ueventd

Event Timeline

wallace created this revision.Oct 1 2019, 6:42 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 1 2019, 6:42 PM

Someone also didn't write a test for that. :) Let's not make the same mistake. The same two options I mentioned in D68293 should apply here too, though for this case, I would slightly prefer the c++ unit test route, as it will isolate you from the weirdness of the host platforms and their uid handling.

wallace updated this revision to Diff 223359.Oct 4 2019, 7:15 PM

added a test

labath accepted this revision.Oct 7 2019, 2:06 AM
This revision is now accepted and ready to land.Oct 7 2019, 2:06 AM
wallace closed this revision.Oct 8 2019, 10:26 AM

already committed